Subject: LLC NEOCOM GEOSERVICE SCO

From: [email-masked]
Date: Wed, 25 Mar 2026 13:19:00 +0300

We "LLC NEOCOM GEOSERVICE" is an officially registered mandate to 
genuine and reliable end seller company that deals in petroleum 
products. Attached below is our company soft offer for available 
products in refinery reservoir tank awaiting urgent lift: JP54, Mazut, 
Diesel Gas Oil D2, AGO, Aviation Kerosene, Jet A-1, D6 Virgin Oil, 
EN590, Fuel Oil CST! 80/380, Pet Coke, LNG, LPG, REBCO, UREA, etc.
Thanks for your cooperation

  REGARDS

   Borzaev Bibulat Khamzatovich
           Director.
Tel/ WhatsApp: +79684462859